{
  "schema_version": "1.4.0",
  "id": "GHSA-qrfq-jhxg-f23h",
  "modified": "2022-05-17T02:06:44Z",
  "published": "2022-05-17T02:06:44Z",
  "aliases": [
    "CVE-2010-2589"
  ],
  "details": "Integer overflow in the dirapi.dll module in Adobe Shockwave Player before 11.5.9.620 allows attackers to execute arbitrary code via unspecified vectors.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2589"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/65245"
    },
    {
      "type": "WEB",
      "url": "http://www.adobe.com/support/security/bulletins/apsb11-01.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/46329"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1025056"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0335"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-02-10T16:00:00Z"
  }
}